import java.util.ArrayList;

public class UE16Aufgabe14 {

	public static void main(String[] args) {
		char[] ausdruck1 = { '1', '1', '3', '+', '2', '3' };
		System.out.print(ausdruck1);
		System.out.println("=" + berechne(ausdruck1));
		char[] ausdruck2 = { '2', '8', '-', '1', '0', '/', '5', '+', '7', '*',
				'6' };
		System.out.print(ausdruck2);
		System.out.println("=" + berechne(ausdruck2));
	}

	static int berechne(char[] zeichen) {
		if (zeichen == null || zeichen.length == 0) {
			return 0;
		}
		ArrayList<Integer> zahlen = new ArrayList<Integer>();
		ArrayList<Character> operatoren = new ArrayList<Character>();
		int zahl = 0;
		for (int z = 0; z < zeichen.length; z++) {
			if (ziffer(zeichen[z])) { // Ziffer
				zahl = zahl * 10 + (zeichen[z] - '0');
			} else { // Operator
				zahlen.add(zahl);
				operatoren.add(zeichen[z]);
				zahl = 0;
			}
		}
		zahlen.add(zahl);

		int i = 0;
		while (i < operatoren.size()) {
			if (operatoren.get(i).equals('*')) {
				zahlen.set(i, zahlen.get(i) * zahlen.get(i + 1));
				operatoren.remove(i);
				zahlen.remove(i + 1);
			} else if (operatoren.get(i).equals('/')) {
				zahlen.set(i, zahlen.get(i) / zahlen.get(i + 1));
				operatoren.remove(i);
				zahlen.remove(i + 1);
			} else {
				i++;
			}
		}

		i = 0;
		while (i < operatoren.size()) {
			if (operatoren.get(i).equals('+')) {
				zahlen.set(i, zahlen.get(i) + zahlen.get(i + 1));
				operatoren.remove(i);
				zahlen.remove(i + 1);
			} else if (operatoren.get(i).equals('-')) {
				zahlen.set(i, zahlen.get(i) - zahlen.get(i + 1));
				operatoren.remove(i);
				zahlen.remove(i + 1);
			} else {
				i++;
			}
		}

		return zahlen.get(0);
	}

	static boolean ziffer(char c) {
		return '0' <= c && c <= '9';
	}

}
